Bug 1589441 - RFE: Refactor configuration to support /etc/proftpd.d configuration and use config snippets
Summary: RFE: Refactor configuration to support /etc/proftpd.d configuration and use c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: proftpd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-09 13:15 UTC by Neal Gompa
Modified: 2019-09-27 01:28 UTC (History)
3 users (show)

Fixed In Version: proftpd-1.3.6-23.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-27 01:28:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Neal Gompa 2018-06-09 13:15:04 UTC
Description of problem:
In Debian, the proftpd package is set up so that the monolithic proftpd.conf is broken up into snippets that are in /etc/proftpd.d, allowing for packages to easily slot in their own configuration snippets as needed.

However, the Fedora proftpd package does not offer this, making it much harder for package integration to the ftpd to be done.

Please consider refactoring the Fedora proftpd configuration to use snippets and support drop in files.

Version-Release number of selected component (if applicable):
1.3.6-14.fc28


Additional info:

The Debian configuration files can be seen here: https://salsa.debian.org/debian-proftpd-team/proftpd/tree/master/debian/templates

Comment 1 Fedora Update System 2019-09-18 14:44:59 UTC
FEDORA-2019-5059e8d3f4 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5059e8d3f4

Comment 2 Fedora Update System 2019-09-19 02:30:15 UTC
proftpd-1.3.6-23.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5059e8d3f4

Comment 3 Fedora Update System 2019-09-27 01:28:55 UTC
proftpd-1.3.6-23.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.